DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSIPCClient Class Reference

a client for IPC message exchange between different processes of the DICOMscope application More...

## Public Member Functions
| DVPSIPCClient (Uint32 clientType, const char *txt, int thePort, OFBool keepOpen)
| constructor More...
virtual | ~DVPSIPCClient ()
| destructor
void | notifyApplicationTerminates (Uint32 status)
| sends ApplicationTerminates notification to server. More...
void | notifyReceivedUnencryptedDICOMConnection (Uint32 status, const char *txt)
| sends ReceivedUnencryptedDICOMConnection notification to server. More...
void | notifyReceivedEncryptedDICOMConnection (Uint32 status, const char *txt)
| sends ReceivedEncryptedDICOMConnection notification to server. More...
void | notifyConnectionClosed (Uint32 status)
| sends ConnectionClosed notification to server. More...
void | notifyConnectionAborted (Uint32 status, const char *txt)
| sends ConnectionAborted notification to server. More...
void | notifyRequestedUnencryptedDICOMConnection (Uint32 status, const char *txt)
| sends RequestedUnencryptedDICOMConnection notification to server. More...
void | notifyRequestedEncryptedDICOMConnection (Uint32 status, const char *txt)
| sends RequestedEncryptedDICOMConnection notification to server. More...
void | notifyReceivedDICOMObject (Uint32 status, const char *txt)
| sends ReceivedDICOMObject notification to server. More...
void | notifySentDICOMObject (Uint32 status, const char *txt)
| sends SentDICOMObject notification to server. More...
OFBool | isServerActive ()
| checks whether the message server has been found active upon creation of this object. More...

## Private Member Functions
| DVPSIPCClient (const DVPSIPCClient &copy)
| private undefined copy constructor
DVPSIPCClient & | operator= (const DVPSIPCClient &)
| private undefined copy assignment operator
void | requestConnection ()
| request connection to server, store in 'connection' if successful.
OFBool | performTransaction (DVPSIPCMessage &msg)
| perform message transaction with server. More...

## Private Attributes
int | port
| TCP/IP port number on which the server is listening.
OFBool | serverActive
| true if the first connection attempt has succeeded, false otherwise
Uint32 | applicationID
| application ID assigned by the server
OFBool | keepConnectionOpen
| flag indicating whether we want to keep the connection open
DcmTransportConnection * | connection
| current transport connection

## Detailed Description

a client for IPC message exchange between different processes of the DICOMscope application

## Constructor & Destructor Documentation

## ◆ DVPSIPCClient()

DVPSIPCClient::DVPSIPCClient | ( | Uint32 | clientType,
|  | const char * | txt,
|  | int | thePort,
|  | OFBool | keepOpen
| ) |  |

constructor

Parameters

  clientType | type of client application, see constants defined in DVPSIPCMessage
  txt | textual description of client application
  thePort | TCP/IP port on which the server is listening
  keepOpen | flag indicating whether the connection should be kept open all the time or should be opened/closed for each transaction.

## Member Function Documentation

## ◆ isServerActive()

OFBool DVPSIPCClient::isServerActive | ( |  | ) |
| inline

checks whether the message server has been found active upon creation of this object.

Returns
  OFTrue if server is active, OFFalse otherwise.

## ◆ notifyApplicationTerminates()

void DVPSIPCClient::notifyApplicationTerminates | ( | Uint32 | status | ) |

sends ApplicationTerminates notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage

## ◆ notifyConnectionAborted()

void DVPSIPCClient::notifyConnectionAborted | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends ConnectionAborted notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of notification for server

## ◆ notifyConnectionClosed()

void DVPSIPCClient::notifyConnectionClosed | ( | Uint32 | status | ) |

sends ConnectionClosed notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage

## ◆ notifyReceivedDICOMObject()

void DVPSIPCClient::notifyReceivedDICOMObject | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends ReceivedDICOMObject notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of DICOM object

## ◆ notifyReceivedEncryptedDICOMConnection()

void DVPSIPCClient::notifyReceivedEncryptedDICOMConnection | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends ReceivedEncryptedDICOMConnection notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of notification for server

## ◆ notifyReceivedUnencryptedDICOMConnection()

void DVPSIPCClient::notifyReceivedUnencryptedDICOMConnection | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends ReceivedUnencryptedDICOMConnection notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of notification for server

## ◆ notifyRequestedEncryptedDICOMConnection()

void DVPSIPCClient::notifyRequestedEncryptedDICOMConnection | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends RequestedEncryptedDICOMConnection notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of notification for server

## ◆ notifyRequestedUnencryptedDICOMConnection()

void DVPSIPCClient::notifyRequestedUnencryptedDICOMConnection | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends RequestedUnencryptedDICOMConnection notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of notification for server

## ◆ notifySentDICOMObject()

void DVPSIPCClient::notifySentDICOMObject | ( | Uint32 | status,
|  | const char * | txt
| ) |  |

sends SentDICOMObject notification to server.

Parameters

  status | Uint32 message status, see constants defined in DVPSIPCMessage
  txt | textual description of DICOM object

## ◆ performTransaction()

OFBool DVPSIPCClient::performTransaction | ( | DVPSIPCMessage & | msg | ) |
| private

perform message transaction with server.

If serverActive is false, no connection attempt is performed.

Parameters

  msg | contains message to be sent, overwritten with message received from server if successful

Returns
  OFTrue if successful, OFFalse otherwise

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsmsg.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1